Main

## Enum Type

- java.lang.Object
- - java.lang.Enum<Type>
  - - Main.Type

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Type>

      public enum Type
      extends java.lang.Enum<Type>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `alphabetLetter`
    `arithmetic`
    `automaton`
    `numberLiteral`
    `variable`
    `word`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `toString()`
    `static Type` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Type[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### automaton

          public static final Type automaton

    - #### word

          public static final Type word

    - #### arithmetic

          public static final Type arithmetic

    - #### alphabetLetter

          public static final Type alphabetLetter

    - #### variable

          public static final Type variable

    - #### numberLiteral

          public static final Type numberLiteral

  - ### Method Detail

    - #### values

          public static Type[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Type c : Type.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Type valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Enum<Type>`